# Terrain | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Terrain

- Defined in src/data/terrain.ts:16

##### Index

### Constructors

constructor

### Properties

terrainType
turnsLeft

### Methods

getAttackTypeMultiplier
isMoveTerrainCancelled
lapse

## Constructors

### constructor

- new Terrain(terrainType: TerrainType , turnsLeft?: number): Terrain

  #### Parameters

  - terrainType: TerrainType
  - `Optional` turnsLeft: number

  #### Returns Terrain

  - Defined in src/data/terrain.ts:20

## Properties

### terrainType

terrainType: TerrainType

- Defined in src/data/terrain.ts:17

### turnsLeft

turnsLeft: number

- Defined in src/data/terrain.ts:18

## Methods

### getAttackTypeMultiplier

- getAttackTypeMultiplier(attackType: PokemonType ): number

  #### Parameters

  - attackType: PokemonType

  #### Returns number

  - Defined in src/data/terrain.ts:33

### isMoveTerrainCancelled

- isMoveTerrainCancelled(
  user: default ,
  targets: BattlerIndex [],
  move: default ,
  ): boolean

  #### Parameters

  - user: default
  - targets: BattlerIndex []
  - move: default

  #### Returns boolean

  - Defined in src/data/terrain.ts:55

### lapse

- lapse(): boolean

  #### Returns boolean

  - Defined in src/data/terrain.ts:25